Bug 101648 - Evolution segmentation faults when printing
Evolution segmentation faults when printing
Product: Red Hat Linux Beta
Classification: Retired
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-08-05 01:35 EDT by Tor Andre Myrvoll
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: fedora
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-13 14:11:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Bugbuddy output (30.45 KB, text/plain)
2005-07-05 09:28 EDT, Radek Vokal
no flags Details

  None (edit)
Description Tor Andre Myrvoll 2003-08-05 01:35:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Printing an email inevitably leads to a segmentation fault. Sometimes choosing
print in the File menu is enough, sometimes I actually get the printing dialog
and the file will be printed, but Evolution will always crash.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Evolution
2. Choose an Email
3. Choose File->Print

Actual Results:  Depends. Sometimes Evolution immediately segfault, sometimes it
segfaults after printing.

Expected Results:  My mail should be printed without any segfaults.

Additional info:
Comment 1 Jeremy Katz 2003-08-05 10:41:46 EDT
Can you attach the backtrace from bug buddy?
Comment 2 Tor Andre Myrvoll 2003-08-05 21:14:11 EDT
Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread -1084348160 (LWP 7814)]
[New Thread 122559920 (LWP 7818)]
[New Thread 32230832 (LWP 7817)]
[New Thread 42868144 (LWP 7816)]
[New Thread 108514736 (LWP 7815)]
0x00ae043e in _dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
#0  0x00ae043e in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x003d3ec3 in waitpid () from /lib/tls/libpthread.so.0
#2  0x006775ba in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  0x0809b979 in evolution_storage_set_view_factory_new_view ()
#4  <signal handler called>
#5  0x04ce6a61 in strstr () from /lib/tls/libc.so.6
#6  0x00731e99 in e_strftime_fix_am_pm (s=0xbfed1b10 "

Comment 3 Jeremy Katz 2003-10-06 16:19:47 EDT
Do you still see this with test2?
Comment 4 Dave Malcolm 2004-11-30 00:33:18 EST
Are you still able to reproduce this bug?  Have you tried with a more
recent version of Evolution (for example, 2.0.2 is in Fedora Core 3).
 Otherwise, I'll probably close this as WORKSFORME
Comment 5 Radek Vokal 2005-07-05 09:28:50 EDT
Created attachment 116351 [details]
Bugbuddy output

I have reproduced this bug with evolution-2.2.2-11.fc5. 

Steps to reproduce are quite similar> 
Open an email in new window
Select print and close the email window right away
Email prints out but Evolution dies 

The bugbuddy output doesn't seem very useful to me so I'll try to gather more
info as soon as possible.
Comment 6 Bill Nottingham 2006-08-07 11:51:35 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still running
Red Hat Linux, you are strongly advised to upgrade to a current Fedora Core
release or Red Hat Enterprise Linux or comparable. Some information on which
option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks. Please check if this
issue is still present in a current Fedora Core release. If so, please change
the product and version to match, and check the box indicating that the
requested information has been provided. Note that any bug still open against
Red Hat Linux by the end of 2006 will be closed as 'CANTFIX'. Thanks again for
your help.

Note You need to log in before you can comment on or make changes to this bug.